QGIS Application - Bug report #10405
Label dialog goes too wide when long label expression is used
2014-05-31 01:01 AM - Anita Graser

Status: Closed

Priority: Severe/Regression

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 18821
Description

The dialog wants to fit the whole expression and goes very, very wide. Unusable on small screens very soon and annoying on all others.
See the attached screenshot for an example.

Associated revisions

Revision 21991b0a - 2014-05-31 10:56 AM - Nathan Woodrow

Fix #10405 - Don't resize expression area for label dialog.

Revision 150ffa37 - 2014-06-06 08:34 AM - Denis Rouzaud

fix #10405 and #103083 partially: removes the scroll area for the style page

Revision 92dafa65 - 2014-06-06 03:08 PM - Denis Rouzaud

Merge pull request #1428 from 3nids/fix10405

fix #10405 and #10303 partially: removes the scroll area for the style page

Revision e87d77ad - 2014-06-11 10:11 AM - Denis Rouzaud

fix #10405: limit expression widget size

History

#1 - 2014-05-31 01:02 AM - Anita Graser
- File Screenshot_2014-05-31_10.01.59.png added

#2 - 2014-05-31 01:57 AM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"21991b0a22408389d2ebd12e9bb05540f248ee02".

#3 - 2014-05-31 02:59 AM - Nyall Dawson
The data defined symbology dialog suffers from this same issue.

#4 - 2014-05-31 03:25 AM - Anita Graser

Should we reopen?

#5 - 2014-05-31 04:39 AM - Nyall Dawson

There's already #10303, so probably no need to reopen.

Files

Screenshot_2014-05-31_09.58.20.png 38 KB 2014-05-30 Anita Graser

Screenshot_2014-05-31_10.01.59.png 49.7 KB 2014-05-30 Anita Graser
2025-04-27 2/2



